/*
 * Copyright (c) 2014 Apple Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 *
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this
 * file.
 *
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 *
 * @APPLE_LICENSE_HEADER_END@
 */
#include <fcntl.h>
#include <stdio.h>

void __inc_remove_counter(void);
int __renameatx_np(int oldfd, const char *old, int newfd, const char *new, unsigned int flags);

int
renameatx_np(int oldfd, const char *old, int newfd, const char *new, unsigned int flags)
{
	int res = __renameatx_np(oldfd, old, newfd, new, flags);
	if (res == 0) {
		__inc_remove_counter();
	}
	return res;
}

int
renamex_np(const char *old, const char *new, unsigned int flags)
{
	return renameatx_np(AT_FDCWD, old, AT_FDCWD, new, flags);
}

// Deprecated
int
rename_ext(const char *old, const char *new, unsigned int flags)
{
	return renamex_np(old, new, flags);
}
